INPUTLIRCD(8)

NAME
inputlircd - zeroconf LIRC daemon using input event devices

SYNOPSIS
inputlircd [-d socket] [-f] [-c] [-r repeat-rate] [-m keycode] [-n device name] [-u username] device [device ...]

DESCRIPTION
inputlircd is a small LIRC daemon that reads from /dev/input/eventX devices and sends the received keycodes to connecting LIRC clients. inputlircd needs no configuration, it uses the standardised names for the keycodes as used by the kernel. Many USB remote controls that present HID devices, as well as multimedia keyboards should work out of the box.

inputlircd expects a list of input event devices as commandline parameters. It will only read events from those devices.

OPTIONS

-d socket
    Location of the UNIX socket to which LIRC clients can connect. The default is /run/lirc/lircd.

-f  Run in the foreground.

-c  Capture modifier keys. This causes the CTRL, SHIFT, ALT and META keys to be treated as modifer keys that, when used in combination with another keys, change the LIRC event from that key rather than being sent as their own LIRC events.

-r repeat-rate
    Set the repeat rate (in milliseconds) of the remote control. The default is 0. Repeated keys that arrive less than repeat-rate milliseconds apart will be flagged as as repeat LIRC events.

-g  Grab the input device(s). This gives inputlircd exclusive access to the input devices and stops events from propagating any further.

-m keycode
    Minimum keycode to send to LIRC clients. Keycodes lower than this number are filtered out. The default is 88, this filters out the alphanumeric section and the keypad section of normal keyboards, but allows all extended keys. The rationale is that clients should not be able to grab normal keypresses, this could be a security risk.

-n device name
    Name of an input device to read events from. This scans all available input event devices, and if the symbolic name of an event device matches device name, adds it to the list of devices to read from. The device name can contain wildcard patterns, see glob(7). To get a list of available devices and their names, cat /proc/bus/input/devices or use lsinput(8).

-u username
    Set user and group id to that of username after opening the devices and UNIX socket as root. The default is nobody.

-t path
    Provides the path to a file containing a mapping between input event key names and the commands which should be reported via lirc. The files should contain lines of the form KEY_FOO = bar. This is useful for backward compatibility. The default is not to use a translation table.

device
    One or more input event devices. If you want to use inputlircd to process multimedia keys on the keyboard, then /dev/input/event0 is the most likely choice. If you have other input devices, such as USB remote controllers that act like a HID device, then you probably need one of the other event devices present. See /proc/bus/input/devices for a list of available input devices. If unsure, you can add all available input event devices.

FILES

/run/lirc/lircd
    Default location of the UNIX socket to which LIRC clients can connect.

/dev/input/eventX
    The kernel input layer's event device files.

/proc/bus/input/devices
    List of all input devices.

SEE ALSO
irw(1), input-events(8), setkeycodes(8), /usr/include/linux/input-event-codes.h.